Web lists-archives.com

ld internal script has wrong SEARCH-DIR settings




$ ./ld --verbose
GNU ld (GNU Binutils) 2.25.2
  Supported emulations:
   i386pe
using internal linker script:
==================================================
/* Default linker script, for normal executables */
/* Copyright (C) 2014 Free Software Foundation, Inc.
   Copying and distribution of this script, with or without modification,
   are permitted in any medium without royalty provided the copyright
   notice and this notice are preserved.  */
OUTPUT_FORMAT(pei-i386)
SEARCH_DIR("/usr/i686-pc-cygwin/lib"); SEARCH_DIR("/usr/lib"); SEARCH_DIR("/usr/lib/w32api");


There is no libraries under /usr/i686-pc-cygwin/lib or /usr/lib or /usr/lib/w32api
Instead, they located at /usr/i686-w64-mingw32/sys-root/mingw/lib; /lib and /lib/w32api accordingly

I've used 2.877 version of cygwin setup-x86.exe

$ cygcheck -c
Cygwin Package Information
Package                               Version                Status
List of installed packages:

_autorebase                           001004-1               OK
alternatives                          1.3.30c-10             OK
autoconf                              13-1                   OK
autoconf2.1                           2.13-12                OK
autoconf2.5                           2.69-3                 OK
base-cygwin                           3.8-1                  OK
base-files                            4.2-4                  OK
bash                                  4.4.12-3               OK
binutils                              2.25-4                 OK
bzip2                                 1.0.6-3                OK
ca-certificates                       2.11-1                 OK
coreutils                             8.26-2                 OK
csih                                  0.9.9-1                OK
cygrunsrv                             1.62-1                 OK
cygutils                              1.4.15-2               OK
cygwin                                2.7.0-1                OK
cygwin-devel                          2.7.0-1                OK
dash                                  0.5.9.1-1              OK
desktop-file-utils                    0.23-1                 OK
diffutils                             3.5-2                  OK
editrights                            1.03-1                 OK
file                                  5.25-1                 OK
findutils                             4.6.0-1                OK
gamin                                 0.1.10-15              OK
gawk                                  4.1.4-3                OK
gcc-core                              5.4.0-1                OK
gcc-g++                               5.4.0-1                OK
gcc-objc                              5.4.0-1                OK
getent                                2.18.90-4              OK
gettext                               0.19.8.1-2             OK
gettext-devel                         0.19.8.1-2             OK
git                                   2.8.3-1                OK
grep                                  3.0-2                  OK
groff                                 1.22.3-1               OK
gsettings-desktop-schemas             3.18.1-1               OK
gzip                                  1.8-1                  OK
hostname                              3.13-1                 OK
info                                  6.1-2                  OK
ipc-utils                             1.0-1                  OK
less                                  481-1                  OK
libargp                               20110921-3             OK
libatomic1                            5.4.0-1                OK
libattr1                              2.4.46-1               OK
libblkid1                             2.25.2-2               OK
libbz2_1                              1.0.6-3                OK
libcharset1                           1.14-3                 OK
libcom_err2                           1.42.12-2              OK
libcroco0.6_3                         0.6.11-1               OK
libcrypt0                             1.4-1                  OK
libcurl4                              7.52.1-1               OK
libdb4.8                              4.8.30-1               OK
libdb5.3                              5.3.28-1               OK
libedit0                              20130712-1             OK
libexpat1                             2.2.0-0                OK
libfam0                               0.1.10-15              OK
libffi6                               3.2.1-1                OK
libgcc1                               5.4.0-1                OK
libgdbm4                              1.12-1                 OK
libglib2.0_0                          2.46.2-4               OK
libgmp10                              6.1.2-1                OK
libgnutls28                           3.3.17-1               OK
libgomp1                              5.4.0-1                OK
libgssapi_krb5_2                      1.14.4-1               OK
libguile17                            1.8.8-1                OK
libhogweed2                           2.7.1-1                OK
libiconv                              1.14-3                 OK
libiconv-devel                        1.14-3                 OK
libiconv2                             1.14-3                 OK
libidn11                              1.29-1                 OK
libidn2_0                             0.11-1                 OK
libintl-devel                         0.19.8.1-2             OK
libintl8                              0.19.8.1-2             OK
libisl13                              0.14.1-1               OK
libk5crypto3                          1.14.4-1               OK
libkrb5_3                             1.14.4-1               OK
libkrb5support0                       1.14.4-1               OK
libltdl7                              2.4.6-4                OK
liblzma5                              5.2.2-1                OK
libmpc3                               1.0.3-1                OK
libmpfr4                              3.1.5-1                OK
libncursesw10                         6.0-9.20170121         OK
libnettle4                            2.7.1-1                OK
libnghttp2_14                         1.14.0-1               OK
libobjc4                              5.4.0-1                OK
libopenldap2_4_2                      2.4.42-1               OK
libopenssl100                         1.0.2k-1               OK
libp11-kit0                           0.22.1-1               OK
libpcre1                              8.40-1                 OK
libpipeline1                          1.4.0-1                OK
libpng-devel                          1.6.28-1               OK
libpng16                              1.6.28-1               OK
libpng16-devel                        1.6.28-1               OK
libpopt-common                        1.16-2                 OK
libpopt0                              1.16-2                 OK
libpsl5                               0.17.0-1               OK
libquadmath0                          5.4.0-1                OK
libreadline7                          7.0.3-3                OK
libsasl2_3                            2.1.26-9               OK
libsigsegv2                           2.10-2                 OK
libsmartcols1                         2.25.2-2               OK
libsqlite3_0                          3.16.2-1               OK
libssh2_1                             1.7.0-1                OK
libssp0                               5.4.0-1                OK
libstdc++6                            5.4.0-1                OK
libtasn1_6                            4.9-1                  OK
libunistring2                         0.9.6-1                OK
libuuid-devel                         2.25.2-2               OK
libuuid1                              2.25.2-2               OK
libvtv0                               5.4.0-1                OK
libxml2                               2.9.4-1                OK
login                                 1.11-1                 OK
m4                                    1.4.18-1               OK
make                                  4.2.1-1                OK
man-db                                2.7.5-2                OK
mingw64-i686-atk1.0                   2.18.0-1               OK
mingw64-i686-binutils                 2.25.0.1.23f238d-1     OK
mingw64-i686-bzip2                    1.0.6-4                OK
mingw64-i686-cairo                    1.14.4-1               OK
mingw64-i686-expat                    2.2.0-1                OK
mingw64-i686-fontconfig               2.12.1-1               OK
mingw64-i686-freetype2                2.6.5-1                OK
mingw64-i686-gcc-core                 5.4.0-4                OK
mingw64-i686-gcc-g++                  5.4.0-4                OK
mingw64-i686-gdk-pixbuf2.0            2.32.3-1               OK
mingw64-i686-gettext                  0.19.8.1-2             OK
mingw64-i686-glew                     1.13.0-1               OK
mingw64-i686-glib2.0                  2.46.2-1               OK
mingw64-i686-gtk2.0                   2.24.31-1              OK
mingw64-i686-harfbuzz                 1.3.3-1                OK
mingw64-i686-headers                  5.0.1-1                OK
mingw64-i686-jasper                   1.900.13-1             OK
mingw64-i686-jbigkit                  2.1-1                  OK
mingw64-i686-libffi                   3.2.1-1                OK
mingw64-i686-libjpeg-turbo            1.5.0-1                OK
mingw64-i686-libpng                   1.6.28-1               OK
mingw64-i686-lzo2                     2.08-1                 OK
mingw64-i686-pango1.0                 1.38.1-1               OK
mingw64-i686-pixman                   0.34.0-1               OK
mingw64-i686-pkg-config               0.29.1-1               OK
mingw64-i686-runtime                  5.0.1-1                OK
mingw64-i686-tiff                     4.0.6-1                OK
mingw64-i686-win-iconv                0.0.6-2                OK
mingw64-i686-windows-default-manifest 6.4-1                  OK
mingw64-i686-winpthreads              5.0.1-1                OK
mingw64-i686-xz                       5.2.1-1                OK
mingw64-i686-zlib                     1.2.8-4                OK
mintty                                2.7.4-0                OK
ncurses                               6.0-9.20170121         OK
openssh                               7.4p1-1                OK
openssl                               1.0.2k-1               OK
p11-kit                               0.22.1-1               OK
p11-kit-trust                         0.22.1-1               OK
perl                                  5.22.3-1               OK
perl-Carp                             1.38-1                 OK
perl-Error                            0.17024-1              OK
perl-TermReadKey                      2.37-1                 OK
perl_autorebase                       5.22.3-1               OK
perl_base                             5.22.3-1               OK
pkg-config                            0.29.1-1               OK
publicsuffix-list-dafsa               20170206-1             OK
python                                2.7.12-1               OK
python3                               3.4.5-1                OK
rebase                                4.4.2-1                OK
rsync                                 3.1.2-1                OK
run                                   1.3.4-2                OK
sed                                   4.4-1                  OK
shared-mime-info                      1.7-1                  OK
tar                                   1.29-1                 OK
terminfo                              6.0-9.20170121         OK
tzcode                                2017a-1                OK
tzdata                                2017a-1                OK
util-linux                            2.25.2-2               OK
vim                                    8.0.0329-1              OK
vim-common                             8.0.0329-1              OK
vim-minimal                            8.0.0329-1              OK
w32api-headers                        4.0.4-1                OK
w32api-runtime                        4.0.4-1                OK
wget                                  1.19.1-1               OK
which                                 2.20-2                 OK
windows-default-manifest              6.4-1                  OK
xxd                                    8.0.0329-1              OK
xz                                    5.2.2-1                OK
zlib-devel                            1.2.8-3                OK
zlib0                                 1.2.8-3                OK